---
title: "Retrieve PCI RFQ Extensions By Code"
slug: "retrieve-pci-rfq-extensions-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pci-rfq-extensions-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PCI RFQ Extensions By Code

Get/cm-rest-api/rest/1/cmrfqextend

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Cm Rfq Extend Finder 1
- Cm Rfq Extend Finder 2
- By UUID

#### Cm Rfq Extend Finder 1

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCode | Company Code | 10 |
| JobCode | Job Code | 12001 |
| ChgCode | Change Code | SIC0001 |

#### Cm Rfq Extend Finder 2

This is an optional finder for querying RFQ Extensions by Company Code, Job Code, Vendor Code.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCode | Company Code | 10 |
| JobCode | Job Code | 12001 |
| VenCode | Vendor Code | DLLAND01 |

#### By UUID

This is an optional finder for querying a specific RFQ Extension by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /cm-rest-api/rest/1/cmrfqextend/DBED0CBA1E6046C2E05316821FAC0E25 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleCmRfqExtendFinder1;CompCode=10,JobCode=12001,ChgCode=SIC0001
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleCmdvdVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='e0a7030b-5c1f-49fa-b767-c9f809e880de'>application/json</option>
</select>

```json
{
  "items": [
    {
      "CmdvdPostedFlag": "N",
      "CmdvdCompCode": "10",
      "CmdvdJobCode": "12001",
      "CmdvdChgCode": "SIC0001",
      "CmdvdVenCode": "DLLAND01",
      "CmdvdRfqDueDate": null,
      "CmdvdRfqSentDate": null,
      "CmdvdRfqReceivedDate": null,
      "CmdvdRfqComments": null,
      "CmdvdContactCode": null,
      "CmdvdPrintFlag": null,
      "CmdvdQuotedRate": null,
      "CmdvdQuotedQty": null,
      "CmdvdQuotedAmt": 3000,
      "CmdvdSrcCmdOraseq": 2325343,
      "CmdvdOrigQuoteAmt": null,
      "CmdvdPartnTypeCode": "P",
      "CmdvdInternalFlag": "1",
      "CmdvdInternalDesc": "Regular PCI (unposted)",
      "CmdvdCmmastOraseq": 2325342,
      "CmdvdScPricingStatus": null,
      "CmdvdIuCreateDate": "2016-09-26T15:14:51Z",
      "CmdvdIuUpdateDate": null,
      "CmdvdVUuid": "E8D40503ED6044CAE05313061FACA379",
      "links": [
        {
          "rel": "self",
          "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/cm-rest-api/rest/1/cmrfqextend/E8D40503ED6044CAE05313061FACA379",
          "name": "cmrfqextend",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/cm-rest-api/rest/1/cmrfqextend/E8D40503ED6044CAE05313061FACA379",
          "name": "cmrfqextend",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 1,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/cm-rest-api/rest/1/cmrfqextend",
      "name": "cmrfqextend",
      "kind": "collection"
    }
  ]
}
```

object
